Bug 645843 (CVE-2010-3860)

Summary: CVE-2010-3860 IcedTea System property information leak via public static
Product: [Other] Security Response Reporter: Marc Schoenefeld <mschoene>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahughes, dbhole, jlieskov, omajid, security-response-team, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: public=20101124,reported=20101008,source=redhat,impact=moderate,cvss2=4.3/AV:N/AC:M/Au:N/C:P/I:N/A:N,fedora-all/java-1.6.0-openjdk=affected,rhel-6/java-1.6.0-openjdk=affected,rhel-5/java-1.6.0-openjdk=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-01 09:04:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 658953, 668487    
Bug Blocks:    

Comment 6 Marc Schoenefeld 2010-11-24 10:08:02 EST
A public static field declaration allowed untrusted  applications/applets to read privileged data. A remote attacker could directly or indirectly read the values of restricted system properties like "user.name", "user.home" and "java.home", which restricted applets or applications should not be allowed to read.

http://icedtea.classpath.org/hg/release/icedtea6-1.9/rev/9aa0018d8c28
Comment 7 Tomas Hoger 2010-12-01 03:10:32 EST
Public now via IcedTea6 1.7.6, 1.8.3 and 1.9.2 release announcement too:

http://blog.fuseyism.com/index.php/2010/11/24/icedtea6-176-183-and-192-released/
Comment 8 Vincent Danen 2010-12-01 12:25:54 EST
Created java-1.6.0-openjdk tracking bugs for this issue

Affects: fedora-all [bug 658953]
Comment 12 errata-xmlrpc 2011-01-25 11:20:23 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0176 https://rhn.redhat.com/errata/RHSA-2011-0176.html